NSX-T Data Center Global Manager REST API
Create or update vm tag attachment
Create or update vm tag attachmentRequest:
Method:
PATCH
URI Path(s):
/global-manager/api/v1/global-infra/categories/{category-id}/tags/{tag-id}/attachments
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
TagAttachment+
Example Request:
PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/tag/tag1/attachments { "remove_from": [ {"resource_type" : "VIRTUAL_MACHINE", "resource_ids": ["vm0"] }, { "resource_type" : "VIRTUAL_MACHINE", "resource_ids": ["vm4"] }, { "resource_type" : "SEGMENT", "resource_ids": ["seg"] } ], "apply_to": [ { "resource_type" : "VIRTUAL_MACHINE", "resource_ids": ["vm1", "vm3"] }, { "resource_type" : "SEGMENT", "resource_ids": ["seg3","seg1"] } ] }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
TagAttachmentResponse+